木村です。

On Wed, 12 Oct 2005 12:31:28 +0900
Hidetoshi NAGAI <nagai / ai.kyutech.ac.jp> wrote:

> > ruby --version
> > ruby 1.8.2 (2004-12-25) [i386-mingw32]
> > です.これで困っているわけではないので,とりあえずご報告まで
> > ということで.
> 
> (;_;)(;_;)(;_;)
> 
> 報告をありがうございます.
> しかし,Win の開発環境を整えてないので,
> これが今も修正できていないままなのかどうかを確認できません.(^_^;
> いいかげんに Win の環境を用意しないとダメですかねぇ...

参考までに。

1.9.0 と One Click Installer のRubyでやってみたところ正常に終了しました。

E:\>ruby182 -v -r tk -e "p Tk::TK_PATCHLEVEL"
ruby 1.8.2 (2004-12-25) [i386-mswin32]
"8.3.2"

E:\>ruby -v -r tk -e "p Tk::TK_PATCHLEVEL"
ruby 1.9.0 (2005-10-10) [i386-mswin32]
c:/ruby/lib/ruby/1.9/tk.rb:1076: warning: Inconsistency.`tcltklib' is enabled na
tivethread-support. But loaded Tcl/Tk libraries are not. (Probably, the inconsis
tency doesn't cause any troubles.)
c:/ruby/lib/ruby/1.9/tk.rb:2201: warning: redefine encoding=
c:/ruby/lib/ruby/1.9/tk.rb:2204: warning: redefine encoding
"8.4.10"
c:/ruby/lib/ruby/1.9/tk.rb:1118: warning: instance variable @tk_cmd_tbl not initialized

あ、One Click InstallerのTcl/TkはActiveStateのじゃないか。

-- 
木村浩一